#include "common.h"



int loadconfig()
{
  FILE *in = NULL;
  char *left, *right, buf[512];




  in = fopen(CONFIG_FILE, "r");
  if(in==NULL)
    return -1;

	memset(conf.default_home,0x0,sizeof(conf.default_home));
	memset(conf.server_id,0x0,sizeof(conf.server_id));
	memset(conf.client_id,0x0,sizeof(conf.client_id));
	memset(conf.passwd,0x0,sizeof(conf.passwd));
	memset(conf.visual_ip,0x0,sizeof(conf.visual_ip));
	memset(conf.real_ip,0x0,sizeof(conf.real_ip));
	memset(conf.nick_name,0x0,sizeof(conf.nick_name));

	conf.default_size=0;
	conf.port=0;
  while(fgets(buf, sizeof(buf)-1, in)!=NULL)
  {
    buf[strlen(buf)-1]=0x0;

    if(buf[0]=='#')
      continue;


    if((left=(char *)split(buf, '=', 0))==NULL)
      continue;

    if((right=(char *)strchr(buf, '='))==NULL)
    {
      free(left);
      continue;
    }



    *right++;
    if(strcmp(left, "DEFAULT_HOME")==0)
      strncpy(conf.default_home, right, strlen(right));
    else if(strcmp(left, "DEFAULT_SIZE")==0)
    	conf.default_size = atoi(right);
    else if(strcmp(left, "NATEON_ID")==0)
    	strncpy(conf.server_id, right, strlen(right));
    else if(strcmp(left, "NATEON_PW")==0)
    	strncpy(conf.passwd, right, strlen(right));
    else if(strcmp(left, "NATEON_NICKNAME")==0)
      strncpy(conf.nick_name, right, strlen(right));
    else if(strcmp(left, "OPENMSGHARD_HOME")==0)
      strncpy(conf.default_home,right,strlen(right));
    else if(strcmp(left, "REAL_IP")==0)
      strncpy(conf.real_ip,right,strlen(right));
    else if(strcmp(left, "VISUAL_IP")==0)
      strncpy(conf.visual_ip,right,strlen(right));
    else if(strcmp(left, "PORT")==0)
        conf.port = atoi(right);
    free(left);



  }

  msg("%s(%d)\n",conf.default_home,strlen(conf.default_home));
  msg("%s\n",conf.server_id);
  msg("%s\n",conf.passwd);
  msg("%s\n",conf.nick_name);
  msg("real_ip %s\n",conf.real_ip);
  msg("visual_ip %s\n",conf.visual_ip);


  fclose(in);

  return 0;
}

//-----------------------------------------------------------
// Author   : ȣ
// Modify   : 08.06.10
// Comment  :   .
//-----------------------------------------------------------
void save_user_config(char *message) {

	// ãⰡ.
	FILE *in = NULL;
	char conf_path[512];

	memset(conf_path, 0x0, sizeof(conf_path));
	snprintf(conf_path,sizeof(conf_path),"%s/config/%s",conf.default_home,conf.client_id);
	//printf("conf path (%d): %s\n",sizeof(conf_path),conf_path);
	in = fopen(conf_path, "w");
	if(in==NULL) {
		return;
	}


	//printf("%c\n",message[9]);
	fprintf(in,"FAVORITE=%c\n",message[9]);


	fclose(in);

	return;
}
//-----------------------------------------------------------
// Author   : ȣ
// Modify   : 08.06.10
// Comment  :   .
//-----------------------------------------------------------
void load_user_config() {

	// ãⰡ.
	FILE *in = NULL;
	char *left, *right, buf[512];
	char conf_path[512];
	memset(conf_path, 0x0, sizeof(conf_path));
	snprintf(conf_path,sizeof(conf_path),"%s/config/%s",conf.default_home,conf.client_id);
	//printf("conf path (%d): %s\n",sizeof(conf_path),conf_path);
	in = fopen(conf_path, "r");
	if(in==NULL) {
		conf.favorite = 0;
		return;
	}

	memset(buf, 0x0, sizeof(buf));
	while(fgets(buf, sizeof(buf)-1, in)!=NULL)
	{
		buf[strlen(buf)-1]=0x0;

		if(buf[0]=='#')
			continue;


		if((left=(char *)split(buf, '=', 0))==NULL)
			continue;

		if((right=(char *)strchr(buf, '='))==NULL)
		{
			free(left);
			continue;
		}

		*right++;
		if(strcmp(left, "FAVORITE")==0) {


			conf.favorite=atoi(right);

		}

		//printf("favorite : %d\n",conf.favorite);


		free(left);
	}

	fclose(in);

	return;
}


